What are the Minimum Device Requirements?

PGM Manager requires iOS8 or later and will run on any device that supports this operating system. This equates to:

  • iPhone 4S and every subsequent model
  • iPad 2 and every subsequent model
  • Any iPad Mini
  • iPad Pro

Obviously the more recent the device, the more responsive the app will be and the quality of the images will be improved

Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.